- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# FbxConnectionPoint::ConnectionList Class Reference

Search for all occurrences

## Detailed Description

Definition at line 112 of file fbxconnectionpoint.h.

`#include <fbxconnectionpoint.h>`

List of all members.

## Public Member Functions
| ConnectionList ()
| ~ConnectionList ()
void | Clear ()
void | InsertSrcAt (int pIndex, FbxConnectionPoint *pConnect, FbxConnection::EType pType)
void | AddSrc (FbxConnectionPoint *pConnect, FbxConnection::EType pType)
void | RemoveSrcAt (int pIndex)
int | FindSrc (FbxConnectionPoint *pConnect) const
int | GetSrcCount () const
FbxConnectionPoint * | GetSrc (int pIndex) const
FbxConnection::EType | GetSrcType (int pIndex) const
void | InsertDstAt (int pIndex, FbxConnectionPoint *pConnect, FbxConnection::EType pType)
void | AddDst (FbxConnectionPoint *pConnect, FbxConnection::EType pType)
void | RemoveDstAt (int pIndex)
int | FindDst (FbxConnectionPoint *pConnect) const
int | GetDstCount () const
FbxConnectionPoint * | GetDst (int pIndex) const
FbxConnection::EType | GetDstType (int pIndex) const
## Protected Attributes
FbxArray< FbxConnectionPoint * > | mList
FbxArray< char > | mType
int | mSrcCount
int | mDstCount

## Constructor & Destructor Documentation

ConnectionList | ( |  | ) |

~ConnectionList | ( |  | ) |

## Member Function Documentation

void Clear | ( |  | ) |

Search for all occurrences

void InsertSrcAt | ( | int | pIndex,
|  | FbxConnectionPoint * | pConnect,
|  | FbxConnection::EType | pType
| ) |  |

Search for all occurrences

void AddSrc | ( | FbxConnectionPoint * | pConnect,
|  | FbxConnection::EType | pType
| ) |  |

Search for all occurrences

void RemoveSrcAt | ( | int | pIndex | ) |

Search for all occurrences

int FindSrc | ( | FbxConnectionPoint * | pConnect | ) | const

Search for all occurrences

int GetSrcCount | ( |  | ) | const

Search for all occurrences

FbxConnectionPoint* GetSrc | ( | int | pIndex | ) | const

Search for all occurrences

FbxConnection::EType GetSrcType | ( | int | pIndex | ) | const

Search for all occurrences

void InsertDstAt | ( | int | pIndex,
|  | FbxConnectionPoint * | pConnect,
|  | FbxConnection::EType | pType
| ) |  |

Search for all occurrences

void AddDst | ( | FbxConnectionPoint * | pConnect,
|  | FbxConnection::EType | pType
| ) |  |

Search for all occurrences

void RemoveDstAt | ( | int | pIndex | ) |

Search for all occurrences

int FindDst | ( | FbxConnectionPoint * | pConnect | ) | const

Search for all occurrences

int GetDstCount | ( |  | ) | const

Search for all occurrences

FbxConnectionPoint* GetDst | ( | int | pIndex | ) | const

Search for all occurrences

FbxConnection::EType GetDstType | ( | int | pIndex | ) | const

Search for all occurrences

## Member Data Documentation

FbxArray<FbxConnectionPoint*> mList `[protected]`

Search for all occurrences

Definition at line 139 of file fbxconnectionpoint.h.

FbxArray<char> mType `[protected]`

Search for all occurrences

Definition at line 140 of file fbxconnectionpoint.h.

int mSrcCount `[protected]`

Search for all occurrences

Definition at line 141 of file fbxconnectionpoint.h.

int mDstCount `[protected]`

Search for all occurrences

Definition at line 141 of file fbxconnectionpoint.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxconnectionpoint.h

FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList
FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList FbxConnectionPoint::ConnectionList